#!/usr/bin/python
from glossary import *
import text_utils, time, sys
try:
  import psyco
  print 'Using module "psyco" to reduce execution time.'
  psyco.bind(Glossary)
except:
  print 'Warning: module "psyco" not found.'


t0 = time.time()
try:
  dicPath=sys.argv[1]
except:
  dicPath      ='quick_eng-persian-e0.3.txt'
try:
  wordsFilePath=sys.argv[2]
except:
  wordsFilePath=dicPath[:-4]+'-words.txt'


g = Glossary()
g.readTabfile(dicPath)
g.checkUnicode()
#g.faEdit()

#words = g.takeOutputWords()
#wordsFile = file(wordsFilePath, "w")
#print len(words),"words found. writing to file..." 
#wordsFile.write( string.join(words,"\n") )
#del wordsFile

wordsFile = file(wordsFilePath, "r")

g2 = g.reverseDic(wordsFile, {'matchWord':True})
g2.writeTabfile()
print 'About',int(time.time()-t0) ,'seconds left.'
