#include <iostream>
#include <sstream>
#include <vector>
#include <string>
#define schNum 60
using namespace std;

const string sch[]={"\n", ",", ".", "[", "]", "(", ")", "-", "+", "=",
  /*a*/ "/", "'", ":", ";", "'", "\"", "`", "_", "!", "?", 
  /*a*/ "*", "@", "#", "؛" , "؟", "…", "«", "»", "ـ", "ٔ",
        "،", "–", "“", "”", "‌", "\t", "\x0b", "\x0c", "\r", " ", 
        "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", 
        "۰", "۱", "۲", "۳", "۴", "۵", "۶", "۷", "۸", "۹"};



typedef struct{
  string word, definition, alternates;
} entry;

typedef struct{
  vector<entry> data;
  vector<entry> info;
} glossary;

string int2str(int n);
int str2int(string s);
int str2int(char *s);
int float2int(float f);
string float2str(float f);
vector<string> split(string str, string sep, bool empty);
string replace(string str, string sstr, string tstr);
int findCount(string str, string sstr);
glossary readTabStr(string tstr);
string search(string, string, float, int, string, bool, string);

class Reverse
{
public:
  Reverse(string a_tabStr, float a_minRel, int a_maxNum, string a_sep, bool a_matchWord, string a_showRel, string a_fifoPath);
  ~Reverse();
  string search(string st, bool multiWord);
  string tabStr;
  float minRel;
  int maxNum;
  string sep;
  bool matchWord;
  string showRel;
  string fifoPath;
};

