#!/bin/bash

#cd swig


swig -python -c++ -lstl.i -lstd_vector.i -lstd_string.i reverse_dic.i
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c reverse_dic.h
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c reverse_dic.cpp reverse_dic_wrap.cxx
gcc -shared -o _reverse_dic.so reverse_dic.o reverse_dic_wrap.o /usr/lib/libstdc++.so.6.0.*


from _reverse_dic import *
text=file("/media/MyFlash8/dic-work/tmp-dic/quick_eng-persian.txt").read()
search(text, "سلام", 0.1, 100, "،", True, "Percent")


swig -classic -python -c++ -lstl.i babylon.i
###  Comment additinal codes in babylon.h that added for bgl_block and bgl_entry
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c babylon.h
### Uncommanet then again (in babylon.h)
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c babylon.cpp babylon_wrap.cxx
gcc -shared -o _babylon.so babylon.o babylon_wrap.o /usr/lib/libstdc++.so.6.0.* -lz

mv _babylon.so ..


swig -python -c++ -lstl.i babylon.i -fpic 
###  Comment additinal codes in babylon.h that added for bgl_block and bgl_entry
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c babylon.h
wine z:/home/tux/CodeBlocks/MinGW/bin/g++.exe -fpic -Iz:/home/tux/CodeBlocks/MinGW/include/python2.5/ -c babylon.h
#babylon.h:1: warning: -fpic ignored for target (all code is position independent
#babylon.h:206: error: `gzFile' does not name a type"
wine z:/home/tux/CodeBlocks/MinGW/bin/g++.exe -fpic -Iz:/home/tux/CodeBlocks/MinGW/include/python2.5/ -c babylon.h


swig -python -c++ -lstl.i mdicbuilder.i
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c mdicbuilder.h 
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c mdicbuilder.cpp mdicbuilder_wrap.cxx
gcc -shared -o _mdicbuilder.so mdicbuilder.o mdicbuilder_wrap.o /usr/lib/libstdc++.so.6.0.* -lsqlite3

mv _mdicbuilder.so ..


swig -python -c++ -lstl.i -lstd_vector.i -lstd_string.i stardictbuilder.i
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c stardictbuilder.h 
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c stardictbuilder.cpp stardictbuilder_wrap.cxx
gcc -shared -o _stardictbuilder.so stardictbuilder.o stardictbuilder_wrap.o /usr/lib/libstdc++.so.6.0.*

mv _stardictbuilder.so ..

swig -python -c++ -lstl.i -lstd_vector.i -lstd_string.i stardict.i
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c stardict.h 
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c stardict.cpp stardict_wrap.cxx
gcc -shared -o _stardict.so stardict.o stardict_wrap.o /usr/lib/libstdc++.so.6.0.* -lz

mv _stardict.so ..


swig -python -c++ -lstl.i -lstd_vector.i -lstd_string.i vector.i
g++ -fpic -I/usr/include/python2.5 -I/usr/lib/python2.5/config -c vector_wrap.cxx
gcc -shared -o _vector.so vector_wrap.o /usr/lib/libstdc++.so.6.0.*

mv _vector.so ..

rm *.o *.cxx *.gch *.so

g++ -DHAVE_CONFIG_H -I. -I.. -Wall -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12      -g -O2 -MT wordnet.o -MD -MP -MF .deps/wordnet.Tpo -c -o wordnet.o wordnet.cpp


